Loading...
Searching...
No Matches
tesths.cc File Reference
`#include "kernel/mod2.h"`
`#include "omalloc/omalloc.h"`
`#include "misc/options.h"`
`#include "factory/factory.h"`
`#include "kernel/oswrapper/feread.h"`
`#include "Singular/fevoices.h"`
`#include "kernel/oswrapper/timer.h"`
`#include "kernel/oswrapper/vspace.h"`
`#include "ipshell.h"`
`#include "cntrlc.h"`
`#include "links/silink.h"`
`#include "ipid.h"`
`#include "sdb.h"`
`#include "feOpt.h"`
`#include "misc/distrib.h"`
`#include "mmalloc.h"`
`#include "tok.h"`
`#include "resources/fegetopt.h"`
`#include "Singular/countedref.h"`
`#include "Singular/pyobject_setup.h"`
`#include <unistd.h>`
`#include <NTL/config.h>`
`#include "Singular/links/simpleipc.h"`

Go to the source code of this file.

## Functions

void | siInit (char *)
int | mmInit (void)
int | main (int argc, char **argv)

## Variables

EXTERN_VAR FILE * | File_Log
EXTERN_VAR BOOLEAN | FE_OPT_NO_SHELL_FLAG

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 66 of file tesths.cc.

{
mmInit();
// Don't worry: ifdef OM_NDEBUG, then all these calls are undef'ed
omInitRet_2_Info(argv[0]);
omInitGetBackTrace();
#ifdef PSINGULAR
global_argv0 = argv[0];
#endif
// how many processes ? -----------------------------------------------------
{
int cpus=1;
int cpu_n;
#ifdef _SC_NPROCESSORS_ONLN
if ((cpu_n=sysconf(_SC_NPROCESSORS_ONLN))>cpus) cpus=cpu_n;
#elif defined(_SC_NPROCESSORS_CONF)
if ((cpu_n=sysconf(_SC_NPROCESSORS_CONF))>cpus) cpus=cpu_n;
#endif
#ifdef HAVE_SIMPLEIPC
if (cpus>SIPC_MAX_SEMAPHORES) cpus=SIPC_MAX_SEMAPHORES;
#endif
feSetOptValue(FE_OPT_CPUS, cpus);
// how many threads ? -----------------------------------------------------
feSetOptValue(FE_OPT_THREADS, cpus);
}
siInit(argv[0]);
init_signals();
// parse command line options
int optc, option_index;
const char* errormsg;
while((optc = fe_getopt_long(argc, argv,
SHORT_OPTS_STRING, feOptSpec, &option_index))
!= EOF)
{
if (optc == '?' || optc == 0)
{
fprintf(stderr, "Use '%s --help' for a complete list of options\n", feArgv0);
exit(1);
}
if (optc != LONG_OPTION_RETURN)
option_index = feGetOptIndex(optc);
assume(option_index >= 0 && option_index < (int) FE_OPT_UNDEF);
if (fe_optarg == NULL &&
(feOptSpec[option_index].type == feOptBool ||
feOptSpec[option_index].has_arg == optional_argument))
errormsg = feSetOptValue((feOptIndex) option_index, (int) 1);
else
errormsg = feSetOptValue((feOptIndex) option_index, fe_optarg);
// not more than MAX_PROCESS cpus
if (errormsg)
{
if (fe_optarg == NULL)
fprintf(stderr, "Error: Option '--%s' %s\n",
feOptSpec[option_index].name, errormsg);
else
fprintf(stderr, "Error: Option '--%s=%s' %s\n",
feOptSpec[option_index].name, fe_optarg, errormsg);
fprintf(stderr, "Use '%s --help' for a complete list of options\n", feArgv0);
exit(1);
}
if (optc == 'h') exit(0);
switch(option_index)
{
case FE_OPT_DUMP_VERSIONTUPLE:
exit(0);
break;
default: ;
}
}
long cpus=(long)feOptValue(FE_OPT_CPUS);
#ifdef HAVE_VSPACE
if (cpus>vspace::internals::MAX_PROCESS)
{
cpus=vspace::internals::MAX_PROCESS;
feSetOptValue(FE_OPT_CPUS,cpus);
}
#endif
/* say hello */
if (TEST_V_QUIET)
{
(printf)(
" SINGULAR /"
#ifndef MAKE_DISTRIBUTION
" Development"
#endif
"\n"
" A Computer Algebra System for Polynomial Computations / version %s\n"
" 0<\n"
" by: W. Decker, G.-M. Greuel, G. Pfister, H. Schoenemann \\ %s\n"
"FB Mathematik der Universitaet, D-67653 Kaiserslautern \\ Debian " DEB_PKG_VERSION "\n"
, VERSION, VERSION_DATE);
if (feOptValue(FE_OPT_NO_SHELL))
{
WarnS("running in restricted mode:"
" shell invocation and file links are disallowed");
FE_OPT_NO_SHELL_FLAG=TRUE;
}
}
else
{
FE_OPT_NO_SHELL_FLAG=FALSE;
if (feOptValue(FE_OPT_SORT)) On(SW_USE_NTL_SORT);
dup2(1,2);
/* alternative:
* memcpy(stderr,stdout,sizeof(FILE));
*/
}
if (feOptValue(FE_OPT_LOG)!=NULL)
{
int pid=getpid();
char *buf=(char*)malloc(10+strlen((char*) feOptSpec[FE_OPT_LOG].value));
snprintf(buf,10+strlen((char*) feOptSpec[FE_OPT_LOG].value),
"%s.%d",(char*) feOptSpec[FE_OPT_LOG].value,pid);
File_Log=fopen(buf,"w");
}
#ifdef SINGULAR_PYOBJECT_SETUP_H
pyobject_setup();
#endif
#ifdef SI_COUNTEDREF_AUTOLOAD
countedref_init();
#endif
errorreported = 0;
// -- example for "static" modules ------
//load_builtin("huhu.so",FALSE,(SModulFunc_t)huhu_mod_init);
//module_help_main("huhu.so","Help for huhu\nhaha\n");
//module_help_proc("huhu.so","p","Help for huhu::p\nhaha\n");
setjmp(si_start_jmpbuf);
// Now, put things on the stack of stuff to do
// Last thing to do is to execute given scripts
if (fe_optind < argc)
{
int i = argc - 1;
FILE *fd;
while (i >= fe_optind)
{
if ((fd = feFopen(argv[i], "r")) == NULL)
{
Warn("Can not open %s", argv[i]);
}
else
{
fclose(fd);
newFile(argv[i]);
}
i--;
}
}
else
{
currentVoice=feInitStdin(NULL);
}
// before scripts, we execute -c, if it was given
if (feOptValue(FE_OPT_EXECUTE) != NULL)
newBuffer(omStrDup((char*) feOptValue(FE_OPT_EXECUTE)), BT_execute);
// first thing, however, is to load .singularrc from Singularpath
// and cwd/$HOME (in that order).
if (! feOptValue(FE_OPT_NO_RC))
{
char buf[MAXPATHLEN];
FILE * rc = feFopen("." DIR_SEPP ".singularrc", "r", buf);
if (rc == NULL) rc = feFopen("~" DIR_SEPP ".singularrc", "r", buf);
if (rc == NULL) rc = feFopen(".singularrc", "r", buf);
if (rc != NULL)
{
if (BVERBOSE(V_LOAD_LIB))
Print("// ** executing %s\n", buf);
fclose(rc);
newFile(buf);
}
}
/* start shell */
if (fe_fgets_stdin==fe_fgets_dummy)
{
singular_in_batchmode=TRUE;
char *linkname=(char*) feOptValue(FE_OPT_LINK);
if((linkname!=NULL)&&(strcmp(linkname,"ssi")==0))
{
return ssiBatch((char*) feOptValue(FE_OPT_MPHOST),(char*) feOptValue(FE_OPT_MPPORT));
//Print("batch: p:%s, h:%s\n",(char*) feOptValue(FE_OPT_MPPORT),(char*) feOptValue(FE_OPT_MPHOST));
//exit(0);
}
else
{
Print("** missing arguments: -b requires --link/--MPhost/--MPport\n");
return 1;
}
}
setjmp(si_start_jmpbuf);
yyparse();
m2_end(0);
return 0;
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
On
void On(int sw)
switches
Definition canonicalform.cc:1957
i
int i
Definition cfEzgcd.cc:132
SW_USE_NTL_SORT
static const int SW_USE_NTL_SORT
set to 1 to sort factors in a factorization
Definition cf_defs.h:39
si_start_jmpbuf
VAR jmp_buf si_start_jmpbuf
Definition cntrlc.cc:98
singular_in_batchmode
VAR BOOLEAN singular_in_batchmode
Definition cntrlc.cc:62
init_signals
void init_signals()
init signal handlers and error handling for libraries: NTL, factory
Definition cntrlc.cc:530
countedref_init
void countedref_init()
Definition countedref.h:458
Print
#define Print
Definition emacs.cc:80
Warn
#define Warn
Definition emacs.cc:77
WarnS
#define WarnS
Definition emacs.cc:78
FE_OPT_NO_SHELL_FLAG
EXTERN_VAR BOOLEAN FE_OPT_NO_SHELL_FLAG
Definition extra.cc:166
name
char name(const Variable &v)
Definition factory.h:189
VERSION
#define VERSION
Definition factoryconf.h:277
feFopen
FILE * feFopen(const char *path, const char *mode, char *where, short useWerror, short path_only)
Definition feFopen.cc:47
errorreported
VAR short errorreported
Definition feFopen.cc:23
feOptIndex
feOptIndex
Definition feOptGen.h:15
FE_OPT_UNDEF
@ FE_OPT_UNDEF
Definition feOptGen.h:15
LONG_OPTION_RETURN
#define LONG_OPTION_RETURN
Definition feOptTab.h:4
SHORT_OPTS_STRING
const char SHORT_OPTS_STRING[]
Definition feOpt.cc:29
feGetOptIndex
feOptIndex feGetOptIndex(const char *name)
Definition feOpt.cc:104
feSetOptValue
const char * feSetOptValue(feOptIndex opt, char *optarg)
Definition feOpt.cc:154
feOptValue
static void * feOptValue(feOptIndex opt)
Definition feOpt.h:40
feOptSpec
EXTERN_VAR struct fe_option feOptSpec[]
Definition feOpt.h:17
feArgv0
VAR char * feArgv0
Definition feResource.cc:19
DIR_SEPP
#define DIR_SEPP
Definition feResource.h:7
fe_getopt_long
int fe_getopt_long(int argc, char *const *argv, const char *options, const struct fe_option *long_options, int *opt_index)
Definition fegetopt.c:664
fe_optarg
char * fe_optarg
Definition fegetopt.c:94
fe_optind
int fe_optind
Definition fegetopt.c:109
feOptBool
@ feOptBool
Definition fegetopt.h:77
optional_argument
#define optional_argument
Definition fegetopt.h:101
fe_fgets_dummy
char * fe_fgets_dummy(const char *, char *, int)
Definition feread.cc:455
fe_fgets_stdin
char *(* fe_fgets_stdin)(const char *pr, char *s, int size)
Definition feread.cc:32
newBuffer
void newBuffer(char *s, feBufferTypes t, procinfo *pi, int lineno)
Definition fevoices.cc:166
currentVoice
VAR Voice * currentVoice
Definition fevoices.cc:49
File_Log
VAR FILE * File_Log
Definition fevoices.cc:33
newFile
BOOLEAN newFile(char *fname)
Definition fevoices.cc:129
feInitStdin
Voice * feInitStdin(Voice *pp)
Definition fevoices.cc:677
BT_execute
@ BT_execute
Definition fevoices.h:23
yyparse
int yyparse(void)
Definition grammar.cc:2149
assume
#define assume(x)
Definition mod2.h:389
m2_end
void m2_end(int i)
Definition misc_ip.cc:1104
vspace::internals::MAX_PROCESS
static const int MAX_PROCESS
Definition vspace.h:1419
omStrDup
#define omStrDup(s)
Definition omAllocDecl.h:263
malloc
#define malloc
Definition omAllocFunc.c:12
omInitGetBackTrace
#define omInitGetBackTrace()
Definition omGetBackTrace.h:14
NULL
#define NULL
Definition omList.c:12
MAXPATHLEN
#define MAXPATHLEN
Definition omRet2Info.c:22
BVERBOSE
#define BVERBOSE(a)
Definition options.h:35
TEST_V_QUIET
#define TEST_V_QUIET
Definition options.h:135
V_LOAD_LIB
#define V_LOAD_LIB
Definition options.h:47
pyobject_setup
void pyobject_setup()
initialize blackbox support for pyobject; functionilty os autoloaded on demand
Definition pyobject_setup.cc:39
fd
int status int fd
Definition si_signals.h:69
buf
int status int void * buf
Definition si_signals.h:69
ssiBatch
int ssiBatch(const char *host, const char *port)
Definition ssiLink.cc:3123
SIPC_MAX_SEMAPHORES
#define SIPC_MAX_SEMAPHORES
Definition simpleipc.h:10
siInit
void siInit(char *)
Definition misc_ip.cc:1364
mmInit
int mmInit(void)
Definition tesths.cc:50
omInitRet_2_Info
#define omInitRet_2_Info(argv0)
Definition xalloc.h:274

## mmInit()

int mmInit | ( | void |  | ) |

Definition at line 50 of file tesths.cc.

{
#ifndef X_OMALLOC
#if defined(OMALLOC_USES_MALLOC)
/* in mmstd.c, for some architectures freeSize() unconditionally uses the *system* free() */
/* sage ticket 5344: http://trac.sagemath.org/sage_trac/ticket/5344 */
/* do not rely on the default in Singular as libsingular may be different */
mp_set_memory_functions(omMallocFunc,omReallocSizeFunc,omFreeSizeFunc);
#else
mp_set_memory_functions(malloc,reallocSize,freeSize);
#endif
#endif
return 1;
}
freeSize
#define freeSize
Definition omAllocFunc.c:15
reallocSize
#define reallocSize
Definition omAllocFunc.c:17
omFreeSizeFunc
#define omFreeSizeFunc
Definition xalloc.h:285
omReallocSizeFunc
#define omReallocSizeFunc
Definition xalloc.h:286
omMallocFunc
#define omMallocFunc
Definition xalloc.h:284

## siInit()

void siInit | ( | char * | name | ) |

extern

Definition at line 1364 of file misc_ip.cc.

{
// memory initialization: -----------------------------------------------
om_Opts.OutOfMemoryFunc = omSingOutOfMemoryFunc;
#ifndef OM_NDEBUG
#ifndef __OPTIMIZE__
#ifndef MAKE_DISTRUBTION
om_Opts.ErrorHook = dErrorBreak;
#endif
#else
om_Opts.Keep = 0; /* !OM_NDEBUG, __OPTIMIZE__*/
#endif
#else
om_Opts.Keep = 0; /* OM_NDEBUG */
#endif
omInitInfo();
// factory
#ifndef HAVE_NTL
extern void initPT();
initPT();
#endif
{ // set cpus (in siInit), if SINGULAR_CPUS is set, set within the limits
char *env_cpu=getenv("SINGULAR_CPUS");
if (env_cpu!=NULL)
{
int cpu_n,cpus;
#ifdef _SC_NPROCESSORS_ONLN
if ((cpu_n=sysconf(_SC_NPROCESSORS_ONLN))>cpus) cpus=cpu_n;
#elif defined(_SC_NPROCESSORS_CONF)
if ((cpu_n=sysconf(_SC_NPROCESSORS_CONF))>cpus) cpus=cpu_n;
#endif
#ifdef HAVE_SIMPLEIPC
if (cpus>SIPC_MAX_SEMAPHORES) cpus=SIPC_MAX_SEMAPHORES;
#endif
int t=atoi(env_cpu);
if ((t>=0)&&(t<cpus)) cpus=t;
feSetOptValue(FE_OPT_CPUS, cpus);
// how many threads ? -----------------------------------------------------
feSetOptValue(FE_OPT_THREADS, cpus);
}
}
// options ---------------------------------------------------------------
si_opt_1=0;
// interpreter tables etc.: -----------------------------------------------
memset(&sLastPrinted,0,sizeof(sleftv));
sLastPrinted.rtyp=NONE;
extern int iiInitArithmetic(); iiInitArithmetic(); // iparith.cc
basePack=(package)omAlloc0(sizeof(*basePack));
currPack=basePack;
idhdl h;
h=enterid("Top", 0, PACKAGE_CMD, &IDROOT, FALSE);
IDPACKAGE(h)=basePack;
IDPACKAGE(h)->language = LANG_TOP;
currPackHdl=h;
basePackHdl=h;
coeffs_BIGINT = nInitChar(n_Q,(void*)1);
#if 1
// def HAVE_POLYEXTENSIONS
if(TRUE)
{
n_coeffType type;
#ifdef SINGULAR_4_2
type = nRegister(n_polyExt, n2pInitChar);
assume(type == n_polyExt);
#endif
type = nRegister(n_algExt, naInitChar);
assume(type == n_algExt);
type = nRegister(n_transExt, ntInitChar);
assume(type == n_transExt);
(void)type;
}
#endif
// random generator: -----------------------------------------------
{
int t=startTimer();
if (t==0) t=1;
initRTimer();
siSeed=t;
factoryseed(t);
siRandomStart=t;
feOptSpec[FE_OPT_RANDOM].value = (void*) ((long)siRandomStart);
}
// ressource table: ----------------------------------------------------
// Don't worry: ifdef OM_NDEBUG, then all these calls are undef'ed
// hack such that all shared' libs in the bindir are loaded correctly
feInitResources(name);
// singular links: --------------------------------------------------
slStandardInit();
myynest=0;
// default coeffs
{
idhdl h;
h=enterid("QQ",0/*level*/, CRING_CMD,&(basePack->idroot),FALSE /*init*/,FALSE /*search*/);
IDDATA(h)=(char*)nInitChar(n_Q,NULL);
h=enterid("ZZ",0/*level*/, CRING_CMD,&(basePack->idroot),FALSE /*init*/,FALSE /*search*/);
IDDATA(h)=(char*)nInitChar(n_Z,NULL);
nRegisterCfByName(nrnInitCfByName,n_Zn); // and n_Znm
iiAddCproc("kernel","crossprod",FALSE,iiCrossProd);
iiAddCproc("kernel","Float",FALSE,iiFloat);
//h=enterid("RR",0/*level*/, CRING_CMD,&(basePack->idroot),FALSE /*init*/,FALSE /*search*/);
//IDDATA(h)=(char*)nInitChar(n_R,NULL);
//h=enterid("CC",0/*level*/, CRING_CMD,&(basePack->idroot),FALSE /*init*/,FALSE /*search*/);
//IDDATA(h)=(char*)nInitChar(n_long_C,NULL);
}
// setting routines for PLURAL QRINGS:
// allowing to use libpolys without libSingular(kStd)
#ifdef HAVE_PLURAL
nc_NF=k_NF;
gnc_gr_bba=k_gnc_gr_bba;
gnc_gr_mora=k_gnc_gr_mora;
sca_bba=k_sca_bba;
sca_mora=k_sca_mora;
sca_gr_bba=k_sca_gr_bba;
#endif
// loading standard.lib -----------------------------------------------
if (! feOptValue(FE_OPT_NO_STDLIB))
{
BITSET save1,save2;
SI_SAVE_OPT(save1,save2);
si_opt_2 &= ~Sy_bit(V_LOAD_LIB);
iiLibCmd("standard.lib", TRUE,TRUE,TRUE);
SI_RESTORE_OPT(save1,save2);
}
// interpreter error handling
#ifndef __CYGWIN__
factoryError=callWerrorS; // to honour later changes of variable WerrorS
#endif
errorreported = 0;
}
naInitChar
BOOLEAN naInitChar(coeffs cf, void *infoStruct)
Initialize the coeffs object.
Definition algext.cc:1433
n2pInitChar
BOOLEAN n2pInitChar(coeffs cf, void *infoStruct)
Definition algext.cc:1687
slStandardInit
void slStandardInit()
Definition asciiLink.cc:633
BITSET
#define BITSET
Definition auxiliary.h:85
initPT
void initPT()
factoryseed
void factoryseed(int s)
random seed initializer
Definition cf_random.cc:186
factoryError
VAR void(* factoryError)(const char *s)
Definition cf_util.cc:80
sleftv
Class used for (list of) interpreter objects.
Definition subexpr.h:83
siRandomStart
VAR int siRandomStart
Definition cntrlc.cc:99
n_coeffType
n_coeffType
Definition coeffs.h:27
n_polyExt
@ n_polyExt
used to represent polys as coefficients
Definition coeffs.h:34
n_Q
@ n_Q
rational (GMP) numbers
Definition coeffs.h:30
n_algExt
@ n_algExt
used for all algebraic extensions, i.e., the top-most extension in an extension tower is algebraic
Definition coeffs.h:35
n_Zn
@ n_Zn
only used if HAVE_RINGS is defined
Definition coeffs.h:44
n_transExt
@ n_transExt
used for all transcendental extensions, i.e., the top-most extension in an extension tower is transce...
Definition coeffs.h:38
n_Z
@ n_Z
only used if HAVE_RINGS is defined
Definition coeffs.h:43
nInitChar
coeffs nInitChar(n_coeffType t, void *parameter)
one-time initialisations for new coeffs in case of an error return NULL
Definition numbers.cc:412
feInitResources
void feInitResources(const char *argv0)
Definition feResource.cc:160
myynest
VAR int myynest
Definition febase.cc:41
getenv
char * getenv()
gnc_gr_bba
EXTERN_VAR BBA_Proc gnc_gr_bba
Definition gb_hack.h:10
gnc_gr_mora
EXTERN_VAR BBA_Proc gnc_gr_mora
Definition gb_hack.h:10
sca_gr_bba
EXTERN_VAR BBA_Proc sca_gr_bba
Definition gb_hack.h:10
nc_NF
EXTERN_VAR NF_Proc nc_NF
Definition gb_hack.h:9
sca_mora
EXTERN_VAR BBA_Proc sca_mora
Definition gb_hack.h:10
sca_bba
EXTERN_VAR BBA_Proc sca_bba
Definition gb_hack.h:10
k_gnc_gr_bba
ideal k_gnc_gr_bba(const ideal F, const ideal Q, const intvec *, const bigintmat *, kStrategy strat, const ring _currRing)
Definition gr_kstd2.cc:1030
k_gnc_gr_mora
ideal k_gnc_gr_mora(const ideal F, const ideal Q, const intvec *, const bigintmat *, kStrategy strat, const ring _currRing)
Definition gr_kstd2.cc:1283
iiInitArithmetic
int iiInitArithmetic()
initialisation of arithmetic structured data
Definition iparith.cc:9988
enterid
idhdl enterid(const char *s, int lev, int t, idhdl *root, BOOLEAN init, BOOLEAN search)
Definition ipid.cc:279
basePack
VAR package basePack
Definition ipid.cc:56
currPack
VAR package currPack
Definition ipid.cc:55
currPackHdl
VAR idhdl currPackHdl
Definition ipid.cc:53
basePackHdl
VAR idhdl basePackHdl
Definition ipid.cc:54
IDDATA
#define IDDATA(a)
Definition ipid.h:126
IDROOT
#define IDROOT
Definition ipid.h:19
IDPACKAGE
#define IDPACKAGE(a)
Definition ipid.h:139
iiAddCproc
int iiAddCproc(const char *libname, const char *procname, BOOLEAN pstatic, BOOLEAN(*func)(leftv res, leftv v))
Definition iplib.cc:1073
iiLibCmd
BOOLEAN iiLibCmd(const char *newlib, BOOLEAN autoexport, BOOLEAN tellerror, BOOLEAN force)
Definition iplib.cc:894
h
STATIC_VAR Poly * h
Definition janet.cc:971
k_sca_bba
ideal k_sca_bba(const ideal F, const ideal Q, const intvec *, const bigintmat *, kStrategy strat, const ring _currRing)
Modified modern Sinuglar Buchberger's algorithm.
Definition sca.cc:368
k_sca_gr_bba
ideal k_sca_gr_bba(const ideal F, const ideal Q, const intvec *, const bigintmat *, kStrategy strat, const ring _currRing)
Modified Plural's Buchberger's algorithmus.
Definition sca.cc:95
k_sca_mora
ideal k_sca_mora(const ideal F, const ideal Q, const intvec *, const bigintmat *, kStrategy strat, const ring _currRing)
Modified modern Sinuglar Mora's algorithm.
Definition sca.cc:878
k_NF
poly k_NF(ideal F, ideal Q, poly p, int syzComp, int lazyReduce, const ring _currRing)
NOTE: this is just a wrapper which sets currRing for the actual kNF call.
Definition kstd1.cc:3443
iiCrossProd
static BOOLEAN iiCrossProd(leftv res, leftv args)
Definition misc_ip.cc:1329
omSingOutOfMemoryFunc
void omSingOutOfMemoryFunc()
Definition misc_ip.cc:1202
iiFloat
static BOOLEAN iiFloat(leftv res, leftv pnn)
Definition misc_ip.cc:1300
callWerrorS
static void callWerrorS(const char *s)
Definition misc_ip.cc:1363
dErrorBreak
void dErrorBreak(void)
Definition dError.cc:140
nRegisterCfByName
void nRegisterCfByName(cfInitCfByNameProc p, n_coeffType n)
Definition numbers.cc:631
nRegister
n_coeffType nRegister(n_coeffType n, cfInitCharProc p)
Definition numbers.cc:590
omAlloc0
#define omAlloc0(size)
Definition omAllocDecl.h:211
om_Opts
omOpts_t om_Opts
Definition omOpts.c:13
si_opt_2
VAR unsigned si_opt_2
Definition options.c:6
si_opt_1
VAR unsigned si_opt_1
Definition options.c:5
SI_SAVE_OPT
#define SI_SAVE_OPT(A, B)
Definition options.h:20
Sy_bit
#define Sy_bit(x)
Definition options.h:31
SI_RESTORE_OPT
#define SI_RESTORE_OPT(A, B)
Definition options.h:23
coeffs_BIGINT
VAR coeffs coeffs_BIGINT
Definition polys.cc:14
idhdl
idrec * idhdl
Definition ring.h:22
nrnInitCfByName
coeffs nrnInitCfByName(char *s, n_coeffType)
Definition rmodulon.cc:33
siSeed
VAR int siSeed
Definition sirandom.c:30
package
ip_package * package
Definition structs.h:39
sLastPrinted
INST_VAR sleftv sLastPrinted
Definition subexpr.cc:46
LANG_TOP
@ LANG_TOP
Definition subexpr.h:22
startTimer
int startTimer()
Definition timer.cc:66
initRTimer
void initRTimer()
Definition timer.cc:136
CRING_CMD
@ CRING_CMD
Definition tok.h:56
PACKAGE_CMD
@ PACKAGE_CMD
Definition tok.h:150
NONE
#define NONE
Definition tok.h:223
ntInitChar
BOOLEAN ntInitChar(coeffs cf, void *infoStruct)
Initialize the coeffs object.
Definition transext.cc:2636
omInitInfo
#define omInitInfo()
Definition xalloc.h:228

## Variable Documentation

## FE_OPT_NO_SHELL_FLAG

EXTERN_VAR BOOLEAN FE_OPT_NO_SHELL_FLAG

Definition at line 48 of file tesths.cc.

## File_Log

EXTERN_VAR FILE* File_Log

Definition at line 47 of file tesths.cc.